/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package motifkmer;

import java.util.LinkedHashMap;

/**
 *
 * @author Rahul Semwal
 */
public class BinNode 
{
    @SuppressWarnings("FieldMayBeFinal")
    private LinkedHashMap<String,KMER> data;
    @SuppressWarnings("FieldMayBeFinal")
    private int binNumber;
    public BinNode next;
    
    public BinNode(LinkedHashMap<String,KMER> data,int binNumber)
    {
        this.data=data;
        this.binNumber=binNumber;
    }
    
    public LinkedHashMap<String,KMER> getCurrentBin()
    {
        return(this.data);
    }
    
    public int getBinNumber()
    {
        return(this.binNumber);
    }
}
